System.ServiceModel 4.0.0.0 System.Enum

This enumeration is used to specify the credential type required by a binding for authentication. It is used by all standard bindings except the , which uses .

Enumerates the valid message credential types.

- Field
  4.0.0.0
  System.ServiceModel.MessageCredentialType

  Specifies client authentication using a certificate.

- Field
  4.0.0.0
  System.ServiceModel.MessageCredentialType

  Specifies client authentication using an issued token.

- Field
  4.0.0.0
  System.ServiceModel.MessageCredentialType

  Specifies anonymous authentication.

- Field
  4.0.0.0
  System.ServiceModel.MessageCredentialType

  Specifies client authentication using UserName.

- Field
  4.0.0.0
  System.ServiceModel.MessageCredentialType

  Specifies client authentication using Windows.